angular.module("sonetExample8", ['ngRoute'])
    
.config(['$routeProvider', function ($routeProvider) {
    $routeProvider
        .when('/pizza', {
            templateUrl: 'pizza.html',
            controller: 'PizzaCtrl'
        })
        .otherwise({redirectTo: '/pizza'});
}])

.factory('Pizza', function($http) {
    var pizzaService = {
        getData: function () {
            return $http.get('./pizza.json').then(function (response) {
                return response.data;
            });
        }
    };
    return pizzaService;
})

.controller('PizzaCtrl', ['$scope', 'Pizza',
    function($scope, Pizza) {
        Pizza.getData().then(function(data) {
            $scope.pizza = data;
        });
    }
]);
